GZEXE(1)

NUME
gzexe - comprimă fișierele executabile direct, pe loc „in situ”

SINOPSIS
gzexe nume ...

DESCRIERE
Instrumentul gzexe vă permite să comprimați executabilele pe loc și să le decomprimați și executați în mod automat atunci când le rulați (cu o reducere a performanțelor). De exemplu, dacă executați «gzexe /usr/bin/gdb», acesta va crea următoarele două fișiere:
    -rwxr-xr-x  1 root root 1026675 Iun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 Mai 30 13:02 /usr/bin/gdb~
„/usr/bin/gdb~” este fișierul original, iar „/usr/bin/gdb” este fișierul executabil auto-decomprimat. Puteți elimina „/usr/bin/gdb~” după ce vă asigurați că „/usr/bin/gdb” funcționează corect.

Acest instrument este foarte util pe sistemele cu discuri foarte mici.

OPȚIUNI

-d  Decomprimă executabilele date în loc să le comprime.

CONSULTAȚI ȘI
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

LIMITĂRI
Executabilul comprimat este un script shell. Acest lucru poate crea unele breșe de securitate. În special, executabilul comprimat se bazează pe variabila de mediu PATH pentru a găsi gzip și unele utilitare standard (basename, chmod, ln, mkdir, mktemp, rm, sleep și tail).

ERORI
Comanda gzexe încearcă să păstreze atributele originale ale fișierului pe executabilul comprimat, dar este posibil ca în unele cazuri să trebuiască să le corectați manual, utilizând chmod sau chown.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.